Redirects
Add a redirect rule
POST
Permission: redirects.manage
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidapplication/json- body
from_path*From PathRequest path to match (regex allowed)
Length
1 <= length <= 500to_target*To TargetDestination path or absolute URL
Length
1 <= length <= 500status_code?Status CodeDefault
301Value in
301302307308enabled?EnabledDefault
trueSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/redirects" \ -H "Content-Type: application/json" \ -d '{ "from_path": "string", "to_target": "string" }'{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "from_path": "string", "to_target": "string", "status_code": 0, "enabled": true, "position": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}